program ana
	implicit none
	integer, parameter ::	nmax=200
	real*8	x(nmax), y(nmax), z(nmax) 
	real*8	xlo, xhi, ylo, yhi, zlo, zhi, time
	real*8	xtmp, ytmp, ztmp
	integer	natoms, itmp, loop, i
	real*8	Re2, Re2tmp, Rg2, Rg2tmp, comx, comy, comz
	Re2 = 0.d0
	Rg2 = 0.d0

	!/////
	! Read dump file
	open(20, file='dump.polymer')
!!	open(20, file='dump.N200')
	open(21, file='time_Re2_Rg2.dat')
	loop = 0
	do
		read(20, *, end=10000)
		loop = loop + 1
		read(20, *) time 
		read(20, *) 
		read(20, *) natoms
		read(20, *) 
		read(20, *) xlo, xhi
		read(20, *) ylo, yhi
		read(20, *) zlo, zhi
		read(20, *) 
		do i=1, natoms
			read(20, *) itmp, xtmp, ytmp, ztmp
			x(itmp) = xtmp
			y(itmp) = ytmp
			z(itmp) = ztmp
		enddo
		!---
		! Calc. of Re*Re
		Re2tmp = 0.d0
		Re2tmp = Re2tmp + ( x(1) - x(natoms) )*( x(1) - x(natoms) )
		Re2tmp = Re2tmp + ( y(1) - y(natoms) )*( y(1) - y(natoms) )
		Re2tmp = Re2tmp + ( z(1) - z(natoms) )*( z(1) - z(natoms) )
		Re2 = Re2 + Re2tmp
		!---
		! Calc. of Rg*Rg
		comx = sum( x(1:natoms) )/dble(natoms)
		comy = sum( y(1:natoms) )/dble(natoms)
		comz = sum( z(1:natoms) )/dble(natoms)
		Rg2tmp = 0.d0
		do i=1, natoms
			Rg2tmp = Rg2tmp + ( x(i) - comx )*( x(i) - comx )
			Rg2tmp = Rg2tmp + ( y(i) - comy )*( y(i) - comy )
			Rg2tmp = Rg2tmp + ( z(i) - comz )*( z(i) - comz )
		enddo
		Rg2 = Rg2 + Rg2tmp/dble(natoms)
		!---
		! Output instantaneous data
		write(21, '(3e12.5)') time, Re2tmp, Rg2tmp/dble(natoms)
	enddo
10000 CONTINUE
	close(20)
	close(21)

	!/////
	! Average
	Re2 = Re2/dble(loop)
	Rg2 = Rg2/dble(loop)

	!/////
	! Output average value
	write(*,*) " # of samples, # of atoms, Re2, Rg2"
	write(*,'(2i8,2e12.4)') loop, natoms, Re2, Rg2

end program ana
